Bug 5629 - package leaves garbage after uninstall and cannot be reinstalled cleanly
: package leaves garbage after uninstall and cannot be reinstalled cleanly
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/tcl-gpgme)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-12-05 20:12 by
Modified: 2007-11-11 01:27 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-12-05 20:12:56
When tcl-gpgme is removed, broken symlinks /usr/lib/tcl/libtclgpgme.so and
/usr/lib/tcl/libtclgpgme.so.1 remain; when tcl-gpgme is installed again, these
symlinks break installation (%post script fails).
Steps to Reproduce:
# apt-get install tcl-gpgme
# apt-get remove tcl-gpgme
# apt-get install tcl-gpgme

Actual Results:  
Committing changes...
Preparing...                 ########################################### [100%]
1: tcl-gpgme                 ########################################### [100%]
ln: `/usr/lib/tcl/libtclgpgme.so': File exists
ln: `/usr/lib/tcl/libtclgpgme.so.1': File exists
error: execution of %post scriptlet from tcl-gpgme-1.0.1-alt3.1 failed, exit
status 1
W: Some errors occurred while running transaction


Expected Results:  
No garbage left after uninstallation, no errors during reinstallation.
------- Comment #1 From 2005-02-09 07:40:13 -------
Исправил
------- Comment #2 From 2006-08-29 21:24:43 -------
Где???  В Сизифе до сих пор:

-rw-r--r--      192673 2004/10/19 20:16:16 tcl-gpgme-1.0.1-alt3.1.src.rpm

Поменялись с того времени только ошибки (вероятно, из-за обновления coreutils):

1: tcl-gpgme                 ########################################### [100%]
ln: creating symbolic link `/usr/lib/tcl/libtclgpgme.so' to
`/usr/lib/tcl/libtclgpgme.so.1.0': File exists
ln: creating symbolic link `/usr/lib/tcl/libtclgpgme.so.1' to
`/usr/lib/tcl/libtclgpgme.so.1.0': File exists
error: execution of %post scriptlet from tcl-gpgme-1.0.1-alt3.1 failed, exit
status 1
------- Comment #3 From 2007-11-11 00:40:49 -------
reassign
------- Comment #4 From 2007-11-11 01:27:20 -------
fixed in 1.0.1-alt4